/* Section 1 */
.sec1 {
  background:
    linear-gradient(
      to top,
      rgba(0, 0, 0, 1) 0%,
      rgba(0, 0, 0, 0.2) 40%,
      rgba(0, 0, 0, 0) 70%
    ),
    url(../images/worldmap2.png) top/cover no-repeat;
  color: white;
}

.sec1-text {
  background-color: var(--button);
  padding: 10px 20px;
  border-radius: 30px;
  color: white;
  display: inline-block;
}

.sec1-text i {
  color: white;
  font-family: "Lucida Handwriting", cursive;
}

.sec1-card img {
  height: 100%;
  border: 5px solid white;
  border-radius: 50px;
  object-fit: cover;
}

.sec1-form-top {
  background-color: var(--touch);
  padding: 10px;
  border-radius: 30px;
  display: inline-flex;
  width: 25%;
}

.sec1-form-bottom {
  background-color: white;
  border-radius: 50px;
  padding: 10px;
  position: relative;
}

.input-field {
  background-color: var(--light);
  border: 1px solid rgb(172, 172, 172);
  border-radius: 50px;
  padding: 10px;
  gap: 5px;
}

.relative {
  position: relative;
}

.date-special {
  gap: 5px;
}

.input-field i,
.input-field label {
  color: var(--touch);
}

.input-field-right {
  gap: 0;
}

.sec1-bottom .flex {
  gap: 2px;
}

.traveler-wrapper {
  position: relative;
  cursor: pointer;
}

.traveler-dropdown {
  position: absolute;
  top: 103%;
  left: 0;
  width: 280px;
  background: #fff;
  border-radius: 12px;
  padding: 15px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
  display: none;
  z-index: 10;
}

.traveler-dropdown span {
  color: var(--dark);
}

.traveler-dropdown select {
  width: 100%;
  padding: 8px;
  border-radius: 20px;
  border: 2px solid var(--touch);
  margin-bottom: 15px;
}

.traveler-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 12px;
}

.counter {
  display: flex;
  align-items: center;
  gap: 8px;
}

.counter button {
  width: 28px;
  height: 28px;
  border-radius: 50%;
  border: none;
  background: var(--touch);
  color: #fff;
  font-size: 18px;
  cursor: pointer;
}

.counter span {
  min-width: 18px;
  text-align: center;
}

.done-btn {
  width: 100%;
  margin-top: 10px;
  padding: 8px;
  border: none;
  border-radius: 20px;
  background: var(--touch);
  color: #fff;
  cursor: pointer;
}

.sec1-bottom span {
  font-weight: 800;
  font-size: 17px;
  color: rgb(135, 201, 37);
}

.sec1-bottom span i {
  background-color: rgb(113, 168, 30);
  padding: 10px 5px;
  width: 100%;
}

/* Section 2 */
.sec2-card-left {
  background-color: var(--primary);
  padding: 20px 10px;
  border-radius: 50%;
  height: fit-content;
}

.dest {
  height: 300px;
  align-items: end;
  padding: 20px 30px;
  border-radius: 20px;
  color: white;
  --img: none;
  background:
    linear-gradient(
      to top,
      rgba(0, 0, 0, 1) 0%,
      rgba(0, 0, 0, 0.2) 40%,
      rgba(0, 0, 0, 0) 70%
    ),
    var(--img) center/cover no-repeat;
}

.dest h3 {
  border-bottom: 2px solid var(--button);
  font-weight: 100;
}

.dest-1 {
  --img: url(../images/dest1.jpg);
}

.dest-2 {
  --img: url(../images/dest2.jpg);
}

.dest-3 {
  --img: url(../images/dest3.jpg);
}

.dest-4 {
  --img: url(../images/dest4.jpg);
}

.dest-5 {
  --img: url(../images/dest5.jpg);
}

.dest-6 {
  --img: url(../images/dest6.jpg);
}

.input-field input {
  pointer-events: auto;
}

.suggestions {
  position: absolute;
  top: 100%;
  /* directly below input */
  left: 0;
  width: 213%;
  background: #fff;
  border: 1px solid #ddd;
  border: 2px solid var(--touch);
  max-height: 240px;
  overflow-y: auto;
  z-index: 9999;
  list-style: none;
  padding: 0;
  border-radius: 10px;
  margin-top: 1px;
  color: var(--dark);
  /* small spacing only */
  display: none;
}

.suggestions li {
  padding: 10px;
  cursor: pointer;
  font-size: 14px;
  border-bottom: 1px solid var(--touch);
}

.suggestions li:hover {
  background: #f2f2f2;
}

/* Section 3 */
.sec3-inner {
  padding-top: 0;
}

.sec3-cards {
  gap: 20px;
}

.sec3-card {
  justify-content: space-between;
  border: 2px solid var(--touch);
  border-radius: 10px;
  padding: 10px 20px;
}

.sec3-about {
  padding: 20px;
  background-color: var(--light);
  border-radius: 20px;
}

.sec3-card-right {
  text-align: end;
}

@media (max-width: 900px) {
  /* Section 1 */
  .sec1 {
    background: white;
    padding: 10px;
  }

  .sec1-inner {
    text-align: center;
    background-color: var(--primary);
    border-radius: 20px;
  }

  .sec1-form {
    gap: 10px;
    margin-top: 10px;
  }

  .sec1-bottom p {
    font-size: 15px;
  }

  .sec1-bottom span {
    flex-direction: row;
    font-size: 15px;
  }

  .sec1-bottom span i {
    font-size: 8px;
  }

  .sec1-form-bottom {
    width: 100%;
    border-radius: 20px;
    gap: 10px;
  }

  .sec1-text {
    padding: 3px 20px;
  }

  .sec1-text i {
    font-size: 13px;
  }

  .sec1-form-top {
    flex-direction: row;
    width: auto;
    padding: 10px 20px;
  }

  .input-field {
    flex-direction: row;
    text-align: start;
    padding: 5px 10px;
  }

  .date-special {
    flex-direction: row;
    width: 50%;
  }

  /* Section 2  */
  .sec2-card {
    flex-direction: row;
  }

  .suggestions {
    width: 100%;
    display: none;
  }

  .dests-flex {
    flex-direction: row;
    gap: 10px;
  }

  .sec2-card-right p {
    font-size: 11px;
  }

  .dest {
    height: 150px;
    padding: 10px;
    justify-content: end;
    align-items: start;
  }

  .dest h3 {
    font-size: 12px;
  }

  .dests-grid {
    margin-top: 10px;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }

  /* Section 3  */
  .sec3-card {
    flex-direction: row;
    padding: 10px;
    gap: 0;
  }

  .sec3-about {
    padding: 20px 10px;
  }
}
